Subject: Re: [PATCH] xdiff: disable cleanup_records heuristic with --minimal

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Apr 2025 10:05:17 -0700

Niels Glodny <[email-masked]> writes:

> Hi Phillip,
>
> thank you for your detailed comments.
>
>> Have you got any numbers for the performance change?
>
> I have been using "git log -p -3000 --minimal > /dev/null", as in
> p4000-diff-algorithms.sh. With this patch, I get
>
>   Time (mean ± σ):      2.363 s ±  0.023 s (25 runs)
>
> Without this patch, I get
>
>   Time (mean ± σ):      2.362 s ±  0.035 s  (25 runs)
>
> So the difference is well within the margin of error. It doesn't
> look like it has any measurable impact on performance.

That is an excellent observation and result.  It should be added to
the proposed commit log message, if not already.  The commit log is
where you answer questions, similar to what were raised during
review by your reviewers, that future readers of "git log -p" would
have about your change.  For them you won't be easily available to
answer their questions, and that is why we stress on the need for
well-written commit log messages.

Thanks.